/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EventDataVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.vo
{

import com.adobe.cairngorm.vo.IValueObject;

/**
 * @author Guillaume Renault
 */
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.monitoring.EventData")]
[Bindable]
public class EventDataVO implements IValueObject
{

    private var typeObj:String = "";

    private var dateObj:String = "";

    private var valueObj:String = "";
    
    private var idObj:String = "";

    public function set type(t:String):void {
        this.typeObj = t;
    }

    public function get type():String {
        return this.typeObj;
    }

    public function set date(d:String):void {
        this.dateObj = d;
    }

    public function get date():String {
        return this.dateObj;
    }

    public function set value(v:String):void {
        this.valueObj = v;
    }

    public function get value():String {
        return this.valueObj;
    }
    
    public function set id(id:String):void {
        this.idObj = id;
    }

    public function get id():String {
        return this.idObj;
    }

}
}
